(function() {
	var table;
	$(document).ready(function () {
		table = $('#example').DataTable({
			dom: 'Bfrtip',
			select: true,
			"bDestroy": true,
			order: [[1, 'asc']],

			buttons: [
			{
				text: 'Tout selectionner',
				action: function () {
					for (i = 0; i <= table.rows().length; i++) {
						if (table.row(i).node().style.display != 'none') {
							table.row(i).select();
						}
					}
				}
			},
			{
				text: 'Tout déselectionner',
				action: function () {
					table.rows().deselect();
				}
			}
			],
			"scrollY": 300,
			"scrollX": true,
			scrollCollapse: true,
			fixedColumns: {
				leftColumns: 2
			}
		});

		$('#example tbody').on('click', 'tr', function () {
			$(this).toggleClass('selected');
		});


		$('#iena-btn-send-all').click(function () {
			var result = new Array();
			for (var i = 0; i < table.rows('.selected').data().length; i++) {
				if (table.rows('.selected').data()[i][2] != null) {
					result[i] = table.rows('.selected').data()[i][2];
				}
			}
			var url = 'suivi_unit.php?courseid=' + $('#courseID').val();
			console.log(result);
			console.log(result.toString());
			// var form = $('<form action="' + url + '" method="post">' +
			// 	'<input type="text" name="api_url" value="' + result.toString() + '" />' +
			// 	'</form>');
			// $('body').append(form);
			// form.submit();
		});

		$('.sectionH').hide();
		$('.courseAllH').hide();
		$('.' + $('#select-section').val()).show();
		$('.clickMe').click();

		$('#example_filter').hide();

		$('#molette').click(function () {
			var valeurOption = $('#select-section option:selected').val().split("-");
			var varHref = $('#molette').attr('href');
			$('#molette').attr('href', varHref + '&sectionid=' + valeurOption[1]);
		});

		var getStudFilter = $('#select-section option:selected').val();
		getStudFilter += "filtre";
		$('.' + getStudFilter).hide();

	});

	window.onload = function() {
		// var students = $('#example tbody tr');
		table_filter();
		$('#select-group').on('change', function () {
			table_filter();
		});
		$('#select-student').on('change', function () {
			table_filter();
		});
		$('#select-section').on('change', function () {
			$('.sectionH').hide();
			if ($('#select-section').val() === "Cours") {
				$('.courseAllH').show();
			} else {
				$('.courseAllH').hide();

				$('.' + $('#select-section').val()).show();
			}
			$('.clickMe').click();
			table_filter();
		});
	}

	function table_filter() {

		var students = $('.student-row');
		students.hide();
		
		students = $('#example tbody tr');
		// var students = $('.student-row');
		// console.log(students)

		var sel_student = $('#select-student').val();
		// console.log('filtrer : ' + sel_student);
		var sel_group = $('#select-group').val().replace('id_groupe', '');
		// console.log('group : ' + sel_group);
		var sel_section = $('#select-section').val();
		// console.log('section : ' + sel_section);

		students.each(function (i, el) {
			var show = false;
			if ( sel_group == "groupAll" ) {
				show = true;
			} else {
				var groups = el.dataset.groups.split('-');
				groups.shift();
				// console.log(groups)
				if (groups.length > 0 && groups.indexOf(sel_group) > -1) {
					show = true;
				}
			}

			if ( sel_student == 'studentFilter' ) {
				var completed = el.dataset.completed.split('-');
				completed.shift();
				// console.log(completed)
				if (completed.length == 0 || completed.indexOf(sel_section.replace('section-', '')) > -1) {
					show = false;
				}
			}

			if (show) {
				var elem = el.getAttribute('class').match(/iena-stud-[0-9]+/)[0];
				$("." + elem).show();
			}

		})

	}

})();







// function group_function() {
// 	if ($('#select-group').val() === "groupAll") {
// 		console.log()
// 		$('.groupAll').show();
// 	} else {
// 		var tab_stud = $('#example tbody');
// 		for (var i = 0, row; row = tab_stud[0].rows[i]; i++) {
// 			// console.log()
// 			var tab = tab_stud[0].rows[i].className.split(" ");
// 			for (var j = 0; j < tab.length; j++) {
// 				if (tab[j] == $('#select-group').val()) {
// 					$('.groupAll').hide();
// 					$('.' + tab[j]).show();
// 				}
// 			}
// 		}  
// 	}
// 	$('.clickMe').click();
// }

// function section_function() {

// 	$('.sectionH').hide();
// 	if ($('#select-section').val() === "Cours") {
// 		$('.courseAllH').show();
// 	} else {
// 		$('.courseAllH').hide();

// 		$('.' + $('#select-section').val()).show();
// 	}
// 	$('.clickMe').click();
// }

// function student_function() {
// 	if ($('#select-student').val() === "studentFilter") {
// 		var sectionActuelle = $('#select-section option:selected').val();
// 		sectionActuelle += "filtre";
// 		// console.log(sectionActuelle);
// 		var tab_stud = $('#example tbody');

// 		for (var i = 0, row; row = tab_stud[0].rows[i]; i++) {
// 			var tab = tab_stud[0].rows[i].className.split(" ");
// 			// console.log(tab)
// 			for (var j = 0; j < tab.length; j++) {
// 				if (tab[j] == sectionActuelle) {
// 					$('.' + tab[j]).hide();
// 				}
// 			}
// 		}
// 	} else {
// 		$('.sectionAll').show();
// 		$('.groupAll').hide();
// 		$('.' + $('#select-group').val()).show();
// 	}
// 	$('.clickMe').click();
// }



// $(document).ready(function () {
// 	var table = $('#example').DataTable({
// 		dom: 'Bfrtip',
// 		select: true,
// 		"bDestroy": true,
// 		order: [[1, 'asc']],

// 		buttons: [
// 		{
// 			text: 'Tout selectionner',
// 			action: function () {
// 				for (i = 0; i <= table.rows().length; i++) {
// 					if (table.row(i).node().style.display != 'none') {
// 						table.row(i).select();
// 					}
// 					console.log(table.row(i).node().style.display);
// 				}
// 					//table.rows().select();
// 				}
// 			},
// 			{
// 				text: 'Tout déselectionner',
// 				action: function () {
// 					table.rows().deselect();
// 				}
// 			}
// 			],
// 			"scrollY": 300,
// 			"scrollX": true,
// 			scrollCollapse: true,
// 			fixedColumns: {
// 				leftColumns: 2
// 			}
// 		});

// 	$('#example tbody').on('click', 'tr', function () {
// 		$(this).toggleClass('selected');
// 	});


// 	$('#button').click(function () {
// 		//alert(table.rows('.selected').data());
// 		//console.log(table.rows('.selected').data()[0][1]);
// 		var result = new Array();
// 		for (var i = 0; i < table.rows('.selected').data().length; i++) {
// 			//console.log(table.rows('.selected').data()[i][9]);
// 			if (table.rows('.selected').data()[i][2] != null) {
// 				result[i] = table.rows('.selected').data()[i][2];
// 			}
// 		}
// 		console.log(result);
// 		//console.log($('#courseID').val());
// 		// var url = '/course/format/iena/suivi_unit.php?courseid=' + $('#courseID').val();
// 		var url = 'suivi_unit.php?courseid=' + $('#courseID').val();
// 		var form = $('<form action="' + url + '" method="post">' +
// 			'<input type="text" name="api_url" value="' + result.toString() + '" />' +
// 			'</form>');
// 		$('body').append(form);
// 		form.submit();
// 	});

// 	$('.sectionH').hide();
// 	$('.courseAllH').hide();
// 	$('.' + $('#select-section').val()).show();
// 	$('.clickMe').click();

// 	$('#select-section').on('change', function () {
// 		section_function();
// 		group_function();
// 		student_function();
// 		table_filter();
// 	});

// 	$('#example_filter').hide();

// 	$('#molette').click(function () {
// 		var valeurOption = $('#select-section option:selected').val().split("-");
// 		var varHref = $('#molette').attr('href');
// 		$('#molette').attr('href', varHref + '&sectionid=' + valeurOption[1]);
// 	});

// 	var getStudFilter = $('#select-section option:selected').val();
// 	getStudFilter += "filtre";
// 	$('.' + getStudFilter).hide();

// 	$('#select-student').on('change', function () {
// 		student_function();
// 		table_filter();
// 	});

// 	$('#select-group').on('change', function () {
// 		group_function();
// 		student_function();
// 		table_filter();
// 	});
// });

// window.onload = function()
// {
	// $('.groupAll').hide();
	// $('.' + $('#select-student').val()).show();
	// $('.' + $('#select-group').val()).show();

	// section_function()
	// student_function()
	// group_function()

	// table_filter()

// }